package com.hungraim.ltc.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.system.SystemInterface;
import com.hungraim.ltc.pojo.entity.system.SystemResource;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * 查询所有资源对应的接口
 * @return list
 */
@Mapper
public interface SystemInterfaceMapper extends BaseMapper<SystemInterface> {

    @Select("SELECT a.INTERFACE_ID,a.INTERFACE_URL FROM LTC_INTERFACE a,LTC_RESOURCE_INTERFACE e where a.INTERFACE_ID=e.INTERFACE_ID and e.RESOURCE_ID=#{resourceId}")
    List<SystemInterface> listInterface(Long resourceId);

    @Select("select b.ROLE_ID from LTC_ROLE b")
    List<Long>  listRole();

    @Select("select c.RESOURCE_ID from LTC_ROLE_RESOURCE c WHERE c.ROLE_ID=#{roleId}")
    List<Long>  listRoleResource(Long roleId);


}
